Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.format
Class Module

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.format.Module

All Implemented Interfaces:
  java.io.Serializable

    public class Module

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Module.java,v 1.5 2009/01/29 06:57:50 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Module()`

Method Summary
`void` | `addItem(int index, Item vItem)`
`void` | `addItem(Item vItem)`
`void` | `addTable(int index, Table vTable)`
`void` | `addTable(Table vTable)`
`java.util.Enumeration<? extends Item>` | `enumerateItem()` Method enumerateItem.
`java.util.Enumeration<? extends Table>` | `enumerateTable()` Method enumerateTable.
`java.lang.String` | `getBaseDecimals()` Returns the value of field 'baseDecimals'.
`Unittype` | `getBaseUnit()` Returns the value of field 'baseUnit'.
`java.lang.String` | `getId()` Returns the value of field 'id'.
`Item[]` | `getItem()` Method getItem.Returns the contents of the collection in an Array.
`Item` | `getItem(int index)` Method getItem.
`int` | `getItemCount()` Method getItemCount.
`org.exolab.castor.types.Date` | `getReportingEndDate()` Returns the value of field 'reportingEndDate'.
`org.exolab.castor.types.Date` | `getReportingStartDate()` Returns the value of field 'reportingStartDate'.
`Table[]` | `getTable()` Method getTable.Returns the contents of the collection in an Array.
`Table` | `getTable(int index)` Method getTable.
`int` | `getTableCount()` Method getTableCount.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllItem()`
`void` | `removeAllTable()`
`boolean` | `removeItem(Item vItem)` Method removeItem.
`Item` | `removeItemAt(int index)` Method removeItemAt.
`boolean` | `removeTable(Table vTable)` Method removeTable.
`Table` | `removeTableAt(int index)` Method removeTableAt.
`void` | `setBaseDecimals(java.lang.String baseDecimals)` Sets the value of field 'baseDecimals'.
`void` | `setBaseUnit(Unittype baseUnit)` Sets the value of field 'baseUnit'.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setItem(int index, Item vItem)`
`void` | `setItem(Item[] vItemArray)`
`void` | `setReportingEndDate(org.exolab.castor.types.Date reportingEndDate)` Sets the value of field 'reportingEndDate'.
`void` | `setReportingStartDate(org.exolab.castor.types.Date reportingStartDate)` Sets the value of field 'reportingStartDate'.
`void` | `setTable(int index, Table vTable)`
`void` | `setTable(Table[] vTableArray)`
`static Module` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Module

    public Module()

Method Detail

### addItem

    public void addItem(Item vItem)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addItem

    public void addItem(int index,
                        Item vItem)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addTable

    public void addTable(Table vTable)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vTable` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addTable

    public void addTable(int index,
                         Table vTable)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vTable` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateItem

    public java.util.Enumeration<? extends Item> enumerateItem()

  Method enumerateItem.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.format.Item elements

### enumerateTable

    public java.util.Enumeration<? extends Table> enumerateTable()

  Method enumerateTable.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.format.Table elements

### getBaseDecimals

    public java.lang.String getBaseDecimals()

  Returns the value of field 'baseDecimals'.

  Returns:
    the value of field 'BaseDecimals'.

### getBaseUnit

    public Unittype getBaseUnit()

  Returns the value of field 'baseUnit'.

  Returns:
    the value of field 'BaseUnit'.

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getItem

    public Item getItem(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getItem.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.format.Item at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getItem

    public Item[] getItem()

  Method getItem.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getItemCount

    public int getItemCount()

  Method getItemCount.

  Returns:
    the size of this collection

### getReportingEndDate

    public org.exolab.castor.types.Date getReportingEndDate()

  Returns the value of field 'reportingEndDate'.

  Returns:
    the value of field 'ReportingEndDate'.

### getReportingStartDate

    public org.exolab.castor.types.Date getReportingStartDate()

  Returns the value of field 'reportingStartDate'.

  Returns:
    the value of field 'ReportingStartDate'.

### getTable

    public Table getTable(int index)
                   throws java.lang.IndexOutOfBoundsException

  Method getTable.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.format.Table at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getTable

    public Table[] getTable()

  Method getTable.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getTableCount

    public int getTableCount()

  Method getTableCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllItem

    public void removeAllItem()

### removeAllTable

    public void removeAllTable()

### removeItem

    public boolean removeItem(Item vItem)

  Method removeItem.

  Parameters:
    `vItem` -
  Returns:
    true if the object was removed from the collection.

### removeItemAt

    public Item removeItemAt(int index)

  Method removeItemAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### removeTable

    public boolean removeTable(Table vTable)

  Method removeTable.

  Parameters:
    `vTable` -
  Returns:
    true if the object was removed from the collection.

### removeTableAt

    public Table removeTableAt(int index)

  Method removeTableAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setBaseDecimals

    public void setBaseDecimals(java.lang.String baseDecimals)

  Sets the value of field 'baseDecimals'.

  Parameters:
    `baseDecimals` - the value of field 'baseDecimals'.

### setBaseUnit

    public void setBaseUnit(Unittype baseUnit)

  Sets the value of field 'baseUnit'.

  Parameters:
    `baseUnit` - the value of field 'baseUnit'.

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setItem

    public void setItem(int index,
                        Item vItem)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setItem

    public void setItem(Item[] vItemArray)

  Parameters:
    `vItemArray` -

### setReportingEndDate

    public void setReportingEndDate(org.exolab.castor.types.Date reportingEndDate)

  Sets the value of field 'reportingEndDate'.

  Parameters:
    `reportingEndDate` - the value of field 'reportingEndDate'

### setReportingStartDate

    public void setReportingStartDate(org.exolab.castor.types.Date reportingStartDate)

  Sets the value of field 'reportingStartDate'.

  Parameters:
    `reportingStartDate` - the value of field 'reportingStartDate'.

### setTable

    public void setTable(int index,
                         Table vTable)
                  throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vTable` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setTable

    public void setTable(Table[] vTableArray)

  Parameters:
    `vTableArray` -

### unmarshal

    public static Module unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.format.Module
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD